%define anolis_release 2

Summary:        PerlIO layer for quoted-printable strings
Name:           perl-PerlIO-via-QuotedPrint
Epoch:          1
Version:        0.10
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PerlIO-via-QuotedPrint
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/PerlIO-via-QuotedPrint-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)

BuildRequires:  perl(MIME::QuotedPrint)

BuildRequires:  perl(Test::More)
Conflicts:      perl < 4:5.22.0-347
 
%description
%{name} is a Perl module that provides a PerlIO layer for quoted-printable
encoding and decoding. The module is designed to work with PerlIO, which
is a Perl module that provides a unified interface for Perl to perform
input and output operations on various types of data streams.

Quoted-printable is a format for encoding binary data into ASCII text.
It is commonly used in email systems to ensure that binary data is
transmitted correctly between different email clients and servers.
%{name} provides an easy way to encode and decode quoted-printable
data in Perl programs.

To use %{name}, you first need to install the module on your Perl system.
Once installed, you can use the module by including the following code in
your Perl program:

use PerlIO::via::QuotedPrint;

This code will load the %{name} module and enable the quoted-printable
PerlIO layer. You can then use the PerlIO layer to encode and decode 
data as needed.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n PerlIO-via-QuotedPrint-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build
 
%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*
 
%check
unset AUTHOR_TESTING
make test
 
%files
%license Artistic Copying LICENCE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1:0.10-2
- optimize spec file
- add detail descriptions

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.10-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.10

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.09-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.09-1
- Init package from upstream
